# Class CIM_TextRedirectionService
extends CIM_RedirectionService

TextRedirectionService provides the capability to redirect a text console output to the remote console. For example, any text stream directed to a Serial COM Port (by the operating system) on a Computer System can be redirected out to a remote administrator's console. Similarly the text input keystrokes from the remote administrator's console can be redirected into the same COM Port. Each redirection stream is accessible via a TextRedirectionSAP. This service can support multiple redirection streams via multiple associated TextRedirectionSAPs.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_RedirectionService
|
+--CIM_TextRedirectionService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

TextRedirectionService provides the capability to redirect a text console output to the remote console. For example, any text stream directed to a Serial COM Port (by the operating system) on a Computer System can be redirected out to a remote administrator's console. Similarly the text input keystrokes from the remote administrator's console can be redirected into the same COM Port. Each redirection stream is accessible via a TextRedirectionSAP. This service can support multiple redirection streams via multiple associated TextRedirectionSAPs.

UMLPackagePath | string | CIM::Network::ConsoleProtocols
Version | string | 2.17.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
RedirectionServiceType | uint16[] | 2
Description | string | Type of Redirection Supported by this Service. This value is set to the type of Redirection Service That this service represents. A value set to 2 = "Text" indicates a Text Console Redirection service.
ModelCorrespondence | string | CIM_RedirectionService.OtherRedirectionServiceType
Override | string | RedirectionServiceType
ValueMap | string | .., 2, 3..32767, 32768..65535
Values | string | DMTF Reserved, Text, DMTF Reserved, Vendor Specified

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
MaxCurrentEnabledSAPs | uint16 | CIM_RedirectionService
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherRedirectionServiceType | string | CIM_RedirectionService
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
SharingMode | uint16 | CIM_RedirectionService
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service